function getcolumns(setdrawer) {
  return [
    {
      title: '组织名称',
      dataIndex: 'title',
      key: 'departmentName',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '组织类型',
      dataIndex: 'departmentTypeName',
      key: 'departmentTypeName',
      valueType: 'input',
      search: false,
      fieldProps: {
        disabled: true,
      },
    },
    {
      title: '组织代码',
      dataIndex: 'departmentCode',
      key: 'departmentCode',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '上级组织',
      dataIndex: 'parentKey',
      key: 'parentKey',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
      fieldProps: {
        placeholder: '请输入',
        disabled: true,
      },
      search: false,
    },
  ];
}

export default getcolumns;
